Get all models for a supported platform. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/platform/{platform}/models

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • platform string Required

    The platform.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string
      • name string
      • active boolean
      • riskRating integer
      • additional_data array
GET /api/v1/platform/{platform}/models
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/platform/octopus_money/models' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "id": "0T8B25",
        "name": "Balanced Model Portfolio",
        "active": true,
        "riskRating": 3,
        "additional_data": []
      }
    ]
  ]
}